using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Sync_Ueb02_Latch
{
    class Turf
    {
        static void Main()
        {
            ISynch startBox = new Latch();
            for (int i = 1; i <= 5; i++)
            {
                new Thread(new RaceHorse(i, startBox).Run).Start();
            }
            // wait until all horses are ready
            while(startBox.GetAmountOfAquires() < 5)
            {
                Thread.Sleep(20);
            }
            Console.WriteLine("Start...");
            startBox.Release();
        }
    }

}
